Package: org.apache.groovy.runtime

## [Java] Class ObjectUtil

- org.apache.groovy.runtime.ObjectUtil

-     public class ObjectUtil
      extends Object

  Util for object's operations with checks

  Since:
    4.0.5

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<T>` | `public static T` | `cloneObject(T object)` Clone the specified object
    `` | `public static MethodHandle` | `getCloneObjectMethodHandle()` Returns the method handle of ObjectUtil.cloneObject

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### <T> @SuppressWarnings("unchecked")
      public static T cloneObject(T object)

      Clone the specified object

      throws:
        Throwable some exception or error
      Parameters:
        `object` - the object to clone
      Returns:
        the cloned object
      Type Parameters:
        `T` - the object type
      Since:
        4.0.5

    - #### public static MethodHandle getCloneObjectMethodHandle()

      Returns the method handle of ObjectUtil.cloneObject

      Returns:
        the method handle
      Since:
        4.0.5